=== modified file 'drizzled/item/create.cc'
--- drizzled/item/create.cc	2009-02-14 07:28:40 +0000
+++ drizzled/item/create.cc	2009-02-19 22:12:20 +0000
@@ -280,6 +280,8 @@
 class Create_func_abs : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_abs s_singleton;
@@ -293,6 +295,8 @@
 class Create_func_acos : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_acos s_singleton;
@@ -306,6 +310,8 @@
 class Create_func_addtime : public Create_func_arg2
 {
 public:
+  using Create_func_arg2::create;
+
   virtual Item *create(Session *session, Item *arg1, Item *arg2);
 
   static Create_func_addtime s_singleton;
@@ -319,6 +325,8 @@
 class Create_func_asin : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_asin s_singleton;
@@ -345,6 +353,8 @@
 class Create_func_benchmark : public Create_func_arg2
 {
 public:
+  using Create_func_arg2::create;
+
   virtual Item *create(Session *session, Item *arg1, Item *arg2);
 
   static Create_func_benchmark s_singleton;
@@ -358,6 +368,8 @@
 class Create_func_bin : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_bin s_singleton;
@@ -371,6 +383,8 @@
 class Create_func_bit_count : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_bit_count s_singleton;
@@ -384,6 +398,8 @@
 class Create_func_bit_length : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_bit_length s_singleton;
@@ -397,6 +413,8 @@
 class Create_func_ceiling : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_ceiling s_singleton;
@@ -410,6 +428,8 @@
 class Create_func_char_length : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_char_length s_singleton;
@@ -423,6 +443,8 @@
 class Create_func_coercibility : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_coercibility s_singleton;
@@ -462,6 +484,8 @@
 class Create_func_connection_id : public Create_func_arg0
 {
 public:
+  using Create_func_arg0::create;
+
   virtual Item *create(Session *session);
 
   static Create_func_connection_id s_singleton;
@@ -475,6 +499,8 @@
 class Create_func_conv : public Create_func_arg3
 {
 public:
+  using Create_func_arg3::create;
+
   virtual Item *create(Session *session, Item *arg1, Item *arg2, Item *arg3);
 
   static Create_func_conv s_singleton;
@@ -488,6 +514,8 @@
 class Create_func_cos : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_cos s_singleton;
@@ -501,6 +529,8 @@
 class Create_func_cot : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_cot s_singleton;
@@ -513,6 +543,8 @@
 class Create_func_date_format : public Create_func_arg2
 {
 public:
+  using Create_func_arg2::create;
+
   virtual Item *create(Session *session, Item *arg1, Item *arg2);
 
   static Create_func_date_format s_singleton;
@@ -526,6 +558,8 @@
 class Create_func_datediff : public Create_func_arg2
 {
 public:
+  using Create_func_arg2::create;
+
   virtual Item *create(Session *session, Item *arg1, Item *arg2);
 
   static Create_func_datediff s_singleton;
@@ -539,6 +573,8 @@
 class Create_func_dayname : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_dayname s_singleton;
@@ -552,6 +588,8 @@
 class Create_func_dayofmonth : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_dayofmonth s_singleton;
@@ -565,6 +603,8 @@
 class Create_func_dayofweek : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_dayofweek s_singleton;
@@ -578,6 +618,8 @@
 class Create_func_dayofyear : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_dayofyear s_singleton;
@@ -591,6 +633,8 @@
 class Create_func_decode : public Create_func_arg2
 {
 public:
+  using Create_func_arg2::create;
+
   virtual Item *create(Session *session, Item *arg1, Item *arg2);
 
   static Create_func_decode s_singleton;
@@ -604,6 +648,8 @@
 class Create_func_degrees : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_degrees s_singleton;
@@ -630,6 +676,8 @@
 class Create_func_exp : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_exp s_singleton;
@@ -669,6 +717,8 @@
 class Create_func_find_in_set : public Create_func_arg2
 {
 public:
+  using Create_func_arg2::create;
+
   virtual Item *create(Session *session, Item *arg1, Item *arg2);
 
   static Create_func_find_in_set s_singleton;
@@ -682,6 +732,8 @@
 class Create_func_floor : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_floor s_singleton;
@@ -695,6 +747,8 @@
 class Create_func_format : public Create_func_arg2
 {
 public:
+  using Create_func_arg2::create;
+
   virtual Item *create(Session *session, Item *arg1, Item *arg2);
 
   static Create_func_format s_singleton;
@@ -708,6 +762,8 @@
 class Create_func_found_rows : public Create_func_arg0
 {
 public:
+  using Create_func_arg0::create;
+
   virtual Item *create(Session *session);
 
   static Create_func_found_rows s_singleton;
@@ -721,6 +777,8 @@
 class Create_func_from_days : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_from_days s_singleton;
@@ -760,6 +818,8 @@
 class Create_func_hex : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_hex s_singleton;
@@ -773,6 +833,8 @@
 class Create_func_ifnull : public Create_func_arg2
 {
 public:
+  using Create_func_arg2::create;
+
   virtual Item *create(Session *session, Item *arg1, Item *arg2);
 
   static Create_func_ifnull s_singleton;
@@ -786,6 +848,8 @@
 class Create_func_instr : public Create_func_arg2
 {
 public:
+  using Create_func_arg2::create;
+
   virtual Item *create(Session *session, Item *arg1, Item *arg2);
 
   static Create_func_instr s_singleton;
@@ -799,6 +863,8 @@
 class Create_func_isnull : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_isnull s_singleton;
@@ -812,6 +878,8 @@
 class Create_func_last_day : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_last_day s_singleton;
@@ -838,6 +906,8 @@
 class Create_func_lcase : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_lcase s_singleton;
@@ -864,6 +934,8 @@
 class Create_func_length : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_length s_singleton;
@@ -877,6 +949,8 @@
 class Create_func_ln : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_ln s_singleton;
@@ -890,6 +964,8 @@
 class Create_func_load_file : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_load_file s_singleton;
@@ -929,6 +1005,8 @@
 class Create_func_log10 : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_log10 s_singleton;
@@ -942,6 +1020,8 @@
 class Create_func_log2 : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_log2 s_singleton;
@@ -955,6 +1035,8 @@
 class Create_func_lpad : public Create_func_arg3
 {
 public:
+  using Create_func_arg3::create;
+
   virtual Item *create(Session *session, Item *arg1, Item *arg2, Item *arg3);
 
   static Create_func_lpad s_singleton;
@@ -968,6 +1050,8 @@
 class Create_func_ltrim : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_ltrim s_singleton;
@@ -981,6 +1065,8 @@
 class Create_func_makedate : public Create_func_arg2
 {
 public:
+  using Create_func_arg2::create;
+
   virtual Item *create(Session *session, Item *arg1, Item *arg2);
 
   static Create_func_makedate s_singleton;
@@ -994,6 +1080,8 @@
 class Create_func_maketime : public Create_func_arg3
 {
 public:
+  using Create_func_arg3::create;
+
   virtual Item *create(Session *session, Item *arg1, Item *arg2, Item *arg3);
 
   static Create_func_maketime s_singleton;
@@ -1020,6 +1108,8 @@
 class Create_func_monthname : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_monthname s_singleton;
@@ -1033,6 +1123,8 @@
 class Create_func_name_const : public Create_func_arg2
 {
 public:
+  using Create_func_arg2::create;
+
   virtual Item *create(Session *session, Item *arg1, Item *arg2);
 
   static Create_func_name_const s_singleton;
@@ -1046,6 +1138,8 @@
 class Create_func_nullif : public Create_func_arg2
 {
 public:
+  using Create_func_arg2::create;
+
   virtual Item *create(Session *session, Item *arg1, Item *arg2);
 
   static Create_func_nullif s_singleton;
@@ -1059,6 +1153,8 @@
 class Create_func_oct : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_oct s_singleton;
@@ -1072,6 +1168,8 @@
 class Create_func_ord : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_ord s_singleton;
@@ -1085,6 +1183,8 @@
 class Create_func_period_add : public Create_func_arg2
 {
 public:
+  using Create_func_arg2::create;
+
   virtual Item *create(Session *session, Item *arg1, Item *arg2);
 
   static Create_func_period_add s_singleton;
@@ -1098,6 +1198,8 @@
 class Create_func_period_diff : public Create_func_arg2
 {
 public:
+  using Create_func_arg2::create;
+
   virtual Item *create(Session *session, Item *arg1, Item *arg2);
 
   static Create_func_period_diff s_singleton;
@@ -1111,6 +1213,8 @@
 class Create_func_pi : public Create_func_arg0
 {
 public:
+  using Create_func_arg0::create;
+
   virtual Item *create(Session *session);
 
   static Create_func_pi s_singleton;
@@ -1124,6 +1228,8 @@
 class Create_func_pow : public Create_func_arg2
 {
 public:
+  using Create_func_arg2::create;
+
   virtual Item *create(Session *session, Item *arg1, Item *arg2);
 
   static Create_func_pow s_singleton;
@@ -1137,6 +1243,8 @@
 class Create_func_quote : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_quote s_singleton;
@@ -1150,6 +1258,8 @@
 class Create_func_radians : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_radians s_singleton;
@@ -1189,6 +1299,8 @@
 class Create_func_row_count : public Create_func_arg0
 {
 public:
+  using Create_func_arg0::create;
+
   virtual Item *create(Session *session);
 
   static Create_func_row_count s_singleton;
@@ -1202,6 +1314,8 @@
 class Create_func_rpad : public Create_func_arg3
 {
 public:
+  using Create_func_arg3::create;
+
   virtual Item *create(Session *session, Item *arg1, Item *arg2, Item *arg3);
 
   static Create_func_rpad s_singleton;
@@ -1215,6 +1329,8 @@
 class Create_func_rtrim : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_rtrim s_singleton;
@@ -1228,6 +1344,8 @@
 class Create_func_sec_to_time : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_sec_to_time s_singleton;
@@ -1241,6 +1359,8 @@
 class Create_func_sign : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_sign s_singleton;
@@ -1254,6 +1374,8 @@
 class Create_func_sin : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_sin s_singleton;
@@ -1267,6 +1389,8 @@
 class Create_func_space : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_space s_singleton;
@@ -1280,6 +1404,8 @@
 class Create_func_sqrt : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_sqrt s_singleton;
@@ -1293,6 +1419,8 @@
 class Create_func_str_to_date : public Create_func_arg2
 {
 public:
+  using Create_func_arg2::create;
+
   virtual Item *create(Session *session, Item *arg1, Item *arg2);
 
   static Create_func_str_to_date s_singleton;
@@ -1306,6 +1434,8 @@
 class Create_func_strcmp : public Create_func_arg2
 {
 public:
+  using Create_func_arg2::create;
+
   virtual Item *create(Session *session, Item *arg1, Item *arg2);
 
   static Create_func_strcmp s_singleton;
@@ -1319,6 +1449,8 @@
 class Create_func_substr_index : public Create_func_arg3
 {
 public:
+  using Create_func_arg3::create;
+
   virtual Item *create(Session *session, Item *arg1, Item *arg2, Item *arg3);
 
   static Create_func_substr_index s_singleton;
@@ -1332,6 +1464,8 @@
 class Create_func_subtime : public Create_func_arg2
 {
 public:
+  using Create_func_arg2::create;
+
   virtual Item *create(Session *session, Item *arg1, Item *arg2);
 
   static Create_func_subtime s_singleton;
@@ -1345,6 +1479,8 @@
 class Create_func_tan : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_tan s_singleton;
@@ -1358,6 +1494,8 @@
 class Create_func_time_format : public Create_func_arg2
 {
 public:
+  using Create_func_arg2::create;
+
   virtual Item *create(Session *session, Item *arg1, Item *arg2);
 
   static Create_func_time_format s_singleton;
@@ -1371,6 +1509,8 @@
 class Create_func_time_to_sec : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_time_to_sec s_singleton;
@@ -1384,6 +1524,8 @@
 class Create_func_timediff : public Create_func_arg2
 {
 public:
+  using Create_func_arg2::create;
+
   virtual Item *create(Session *session, Item *arg1, Item *arg2);
 
   static Create_func_timediff s_singleton;
@@ -1397,6 +1539,8 @@
 class Create_func_to_days : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_to_days s_singleton;
@@ -1410,6 +1554,8 @@
 class Create_func_ucase : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_ucase s_singleton;
@@ -1423,6 +1569,8 @@
 class Create_func_unhex : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_unhex s_singleton;
@@ -1449,6 +1597,8 @@
 class Create_func_uuid : public Create_func_arg0
 {
 public:
+  using Create_func_arg0::create;
+
   virtual Item *create(Session *session);
 
   static Create_func_uuid s_singleton;
@@ -1462,6 +1612,8 @@
 class Create_func_version : public Create_func_arg0
 {
 public:
+  using Create_func_arg0::create;
+
   virtual Item *create(Session *session);
 
   static Create_func_version s_singleton;
@@ -1475,6 +1627,8 @@
 class Create_func_weekday : public Create_func_arg1
 {
 public:
+  using Create_func_arg1::create;
+
   virtual Item *create(Session *session, Item *arg1);
 
   static Create_func_weekday s_singleton;

=== modified file 'drizzled/temporal.h'
--- drizzled/temporal.h	2009-02-17 02:47:54 +0000
+++ drizzled/temporal.h	2009-02-19 22:12:20 +0000
@@ -206,12 +206,12 @@
    *
    * @param Date to compare against.
    */
-  virtual bool operator==(const Date &rhs);
-  virtual bool operator!=(const Date &rhs);
-  virtual bool operator>(const Date &rhs);
-  virtual bool operator>=(const Date &rhs);
-  virtual bool operator<(const Date &rhs);
-  virtual bool operator<=(const Date &rhs);
+  bool operator==(const Date &rhs);
+  bool operator!=(const Date &rhs);
+  bool operator>(const Date &rhs);
+  bool operator>=(const Date &rhs);
+  bool operator<(const Date &rhs);
+  bool operator<=(const Date &rhs);
   /**
    * Operator overload for adding/subtracting another Date
    * (or subclass) to/from this temporal.  When subtracting 
@@ -219,10 +219,10 @@
    *
    * @param Temporal instance to add/subtract to/from
    */
-  virtual const Date operator-(const Date &rhs);
-  virtual const Date operator+(const Date &rhs);
-  virtual Date& operator+=(const Date &rhs);
-  virtual Date& operator-=(const Date &rhs);
+  const Date operator-(const Date &rhs);
+  const Date operator+(const Date &rhs);
+  Date& operator+=(const Date &rhs);
+  Date& operator-=(const Date &rhs);
 
   /**
    * Operator overload for when a DateTime instance is
@@ -497,12 +497,12 @@
    *
    * @param DateTime to compare against.
    */
-  virtual bool operator==(const DateTime &rhs);
-  virtual bool operator!=(const DateTime &rhs);
-  virtual bool operator>(const DateTime &rhs);
-  virtual bool operator>=(const DateTime &rhs);
-  virtual bool operator<(const DateTime &rhs);
-  virtual bool operator<=(const DateTime &rhs);
+  bool operator==(const DateTime &rhs);
+  bool operator!=(const DateTime &rhs);
+  bool operator>(const DateTime &rhs);
+  bool operator>=(const DateTime &rhs);
+  bool operator<(const DateTime &rhs);
+  bool operator<=(const DateTime &rhs);
   /**
    * Operator to add/subtract a Time from a Time.  
    * We can return a Time new temporal instance.

